Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.customer
Class CustomerCRUD

    java.lang.Object
      com.beasys.commerce.ebusiness.customer.CustomerCRUD

    public class CustomerCRUD

extends Object

Constructor Summary
`CustomerCRUD()`

Method Summary
`static void` | `create(Connection connection, Object key)` Creates a single row in the database, ONLY using primary key information.
`static void` | `delete(Connection connection, Object key)` Deletes a single row in the database, ONLY using primary key information.
`static boolean` | `exists(Connection connection, Object key)` Deletes a single row in the database, ONLY using primary key information.
`static void` | `refresh(Connection connection, Object key, Object target)` Updates the datbase, using using primary key information in the where clause.
`static void` | `refreshDirect(Connection connection, Object key, Object target)` Refresh from database, using primary key information in the where clause.
`static void` | `update(Connection connection, Object key, Object source)` Updates the datbase, using using primary key information in the where clause.
`static void` | `updateDirect(Connection connection, Object key, Object source)` Updates the database, using primary key information in the where clause.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CustomerCRUD

    public CustomerCRUD()

Method Detail

### create

    public static void create(Connection connection,
                              Object key)
                       throws BMPException

  Creates a single row in the database, ONLY using primary key information. The database provides well-defined default values for the non-null fields.

  Parameters
    `connection` - the database connection
    `source` - for belongings, this is the Impl class for the belonging. for entity beans, this is the primary key class.
  Throws
    `BMPException`

### refresh

    public static void refresh(Connection connection,
                               Object key,
                               Object target)
                        throws BMPException

  Updates the datbase, using using primary key information in the where clause.

  Parameters
    `connection` - the database connection
    `source` - for belongings, this is the Impl class for the belonging. for entity beans, this is the primary key class.
  Throws
    `BMPException`

### update

    public static void update(Connection connection,
                              Object key,
                              Object source)
                       throws BMPException

  Updates the datbase, using using primary key information in the where clause.

  Parameters
    `connection` - the database connection
    `source` - for belongings, this is the Impl class for the belonging. for entity beans, this is the primary key class.
  Throws
    `BMPException`

### delete

    public static void delete(Connection connection,
                              Object key)
                       throws BMPException

  Deletes a single row in the database, ONLY using primary key information.

  Parameters
    `connection` - the database connection
    `source` - for belongings, this is the Impl class for the belonging. for entity beans, this is the primary key class.
  Throws
    `BMPException`

### exists

    public static boolean exists(Connection connection,
                                 Object key)
                          throws BMPException

  Deletes a single row in the database, ONLY using primary key information.

  Parameters
    `connection` - the database connection
    `source` - for belongings, this is the Impl class for the belonging. for entity beans, this is the primary key class.
  Throws
    `BMPException`

### updateDirect

    public static void updateDirect(Connection connection,
                                    Object key,
                                    Object source)
                             throws BMPException

  Updates the database, using primary key information in the where clause.

  Parameters
    `connection` - the database connection
    `source` - for belongings, this is the Impl class for the belonging. for entity beans, this is the primary key class.
  Throws
    `BMPException`

### refreshDirect

    public static void refreshDirect(Connection connection,
                                     Object key,
                                     Object target)
                              throws BMPException

  Refresh from database, using primary key information in the where clause.

  Parameters
    `connection` - the database connection
    `source` - for belongings, this is the Impl class for the belonging. for entity beans, this is the primary key class.
  Throws
    `BMPException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved